List public models
curl --request GET \
--url https://api.caprioletech.com/v1/modelsimport requests
url = "https://api.caprioletech.com/v1/models"
response = requests.get(url)
print(response.text)const options = {method: 'GET'};
fetch('https://api.caprioletech.com/v1/models', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": [
{
"id": "openai-latest"
},
{
"id": "openai/gpt-6-astra"
},
{
"id": "openai/gpt-5.6-terra"
},
{
"id": "openai/gpt-5.6-luna"
},
{
"id": "openai/gpt-5.5"
},
{
"id": "claude-latest"
},
{
"id": "anthropic/claude-fable-5-1"
},
{
"id": "anthropic/claude-fable-5"
},
{
"id": "anthropic/claude-opus-5"
},
{
"id": "anthropic/claude-opus-4-8"
},
{
"id": "anthropic/claude-opus-4-7"
},
{
"id": "anthropic/claude-opus-4-6"
},
{
"id": "anthropic/claude-sonnet-4-6"
},
{
"id": "google-latest"
},
{
"id": "google/gemini-3.1-pro-preview"
},
{
"id": "google/gemini-3.8-flash"
},
{
"id": "xai/grok-4.7"
},
{
"id": "xai/grok-4.6"
},
{
"id": "xai/grok-4.5"
},
{
"id": "zai/glm-5.3-flash"
},
{
"id": "zai/glm-5.2"
},
{
"id": "moonshot/kimi-k3"
}
]
}{
"detail": "Rate limit exceeded: 100 per 1 minute"
}{
"detail": "An internal server error occurred. Please try again later."
}Endpoints
Listar modelos
Devuelve el catálogo público de modelos actual.
GET
/
v1
/
models
List public models
Usa este endpoint para obtener el catálogo público de modelos actual.
El catálogo incluye los alias latest a nivel de proveedor antes de los IDs de modelo concretos:
Los alias latest se resuelven así en
Los endpoints de Anthropic Messages también aceptan IDs concretos de Claude Messages sin prefijo, como
openai-latestclaude-latestgoogle-latest
| Elección de modelo | Ideal para |
|---|---|
openai-latest, claude-latest, google-latest | Configurar una vez y dejar que Capriole AI te mantenga en el modelo insignia recomendado |
IDs de modelo concretos como openai/gpt-6-astra | Fijar una versión exacta de modelo |
POST /v1/chat y POST /v1/chat/completions:
| Alias latest | Se resuelve a |
|---|---|
openai-latest | openai/gpt-6-astra |
claude-latest | anthropic/claude-fable-5-1 |
google-latest | google/gemini-3.1-pro-preview |
| Endpoint | Alias latest |
|---|---|
POST /v1/chat | openai-latest, claude-latest, google-latest |
POST /v1/chat/completions | openai-latest, claude-latest, google-latest |
POST /v1/responses | openai-latest |
POST /v1/messages | claude-latest |
POST /v1/messages/count_tokens | claude-latest |
claude-fable-5-1, claude-fable-5, claude-opus-5-5, claude-opus-5, claude-opus-4-8, claude-opus-4-7, claude-opus-4-6 y claude-sonnet-4-6.
En POST /v1/messages y POST /v1/messages/count_tokens, claude-latest se resuelve a claude-fable-5-1, igual que el alias latest de Chat y Chat Completions.
Usa los IDs de alias sin prefijo que se muestran arriba. Prefijos de proveedor como openai/openai-latest son patrones de selector del lado del cliente, no IDs de modelo de Capriole AI.Respuesta
Public model list
Show child attributes
Show child attributes
Última modificación el 28 de septiembre de 2026